- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# sensu_subscription – Manage Sensu subscriptions

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manage which sensu channels a machine should subscribe to

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
backup boolean | Choices: no ← yes | Create a backup file (if yes), including the timestamp information so you can get the original file back if you somehow clobbered it incorrectly.
name - / required |  | The name of the channel
path - | Default: "/etc/sensu/conf.d/subscriptions.json" | Path to the subscriptions json file
state - | Choices: present ← absent | Whether the machine should subscribe or unsubscribe from the channel

## Examples

    # Subscribe to the nginx channel
    - name: subscribe to nginx checks
      sensu_subscription: name=nginx

    # Unsubscribe from the common checks channel
    - name: unsubscribe from common checks
      sensu_subscription: name=common state=absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
reasons list | success | the reasons why the module changed or did not change something Sample: ["channel subscription was absent and state is `present'"]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Anders Ingemann (@andsens)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.